/* global jQuery, select2Options */

( function( $ ) {
	/**
	 * Font Choices
	 */
	fontChoices = {
		cache: {},

		init: function() {
			fontChoices.cache.options = {};
			$.each(
				select2Options.fontOptions,
				function(index, key) {
					fontChoices.cache.options[key] = $( 'select', '#customize-control-' + key );
				}
			);

			// Insert.
			fontChoices.insertChoices();
		},

		// Insert the HTML into each font family select.
		insertChoices: function() {
			$.each(
				fontChoices.cache.options,
				function(key, element) {
					element.select2(
						{
							width                    : '100%'
						}
					);
				}
			);
		}
	};

	// Load font choices after Customizer initialization is complete.
	$( document ).ready(
		function() {
			fontChoices.init();
		}
	);

} )( jQuery );
