<?php
/**
 * @package Mono
 */

$title_attribute = sprintf(
	esc_attr__( 'Read now &#8212; %s', 'mono' ),
	the_title_attribute( array( 'echo' => false ) )
);
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'grid__col grid__col--1-of-2' ); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
	<div class="post-thumbnail">
		<a href="<?php the_permalink(); ?>" rel="bookmark">
			<?php the_post_thumbnail( 'large' ); ?>
		</a>
	</div>
	<?php endif; ?>

	<div class="post-meta">
		<?php mono_posted_on(); ?>
	</div>

	<header class="entry-header">
		<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( $title_attribute ); ?>" rel="bookmark">
			<?php the_title( '<h2 class="entry-title">', '</h2>' ); ?>
		</a>
	</header>

	<?php if ( is_home() ) : ?>
	<div class="entry-excerpt">
		<?php the_excerpt(); ?>
	</div>
	<?php endif; ?>
</article><!-- #post-## -->
