<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Mono
 */

global $mono_settings;
?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<div class="container">
			<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
			<div class="grid footer-widgets-container">
				<?php dynamic_sidebar( 'sidebar-1' ); ?>
			</div>
			<?php endif; ?>
		</div>

		<div class="copyright">
			<div class="container">
				<div class="grid">
					<div class="grid__col grid__col--1-of-2">

						<?php if ( $mono_settings->get_value( 'html-footer-text' ) ) : ?>
						<div class="site-info">
							<?php $allowed_tags = mono_allowed_html(); ?>
							<?php echo wp_kses( $mono_settings->get_value( 'html-footer-text' ), $allowed_tags ); ?>
						</div>
						<?php endif; ?>

						<?php if ( false === $mono_settings->get_value( 'bool-hide-credit' ) || is_customize_preview() ) : ?>
						<div class="site-byline">
							<a class="theme-name" href="https://codestag.com/themes/mono/">Mono</a>
							<span class="theme-by"><?php echo esc_html_x( 'by', 'attribution', 'mono' ); ?></span>
							<a class="theme-author" title="Codestag <?php esc_attr_e( 'homepage', 'mono' ); ?>" href="https://codestag.com/">Codestag</a>
						</div>
						<?php endif; ?>
					</div>

					<div class="grid__col grid__col--1-of-2">
						<?php
							wp_nav_menu(
								array(
									'container_class' => 'footer-menu',
									'fallback_cb'     => false,
									'depth'           => -1,
									'theme_location'  => 'footer',
								)
							);
							?>
					</div>

				</div>
			</div>
		</div>
	</footer>
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
