<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Mono
 */

global $mono_settings;

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width" />
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'mono' ); ?></a>

	<header id="masthead" class="site-header" role="banner">
		<div class="container">

			<div class="site-branding">
				<?php if ( has_custom_logo() ) :
					the_custom_logo();
				endif; ?>

				<?php if ( get_bloginfo( 'name' ) || is_customize_preview() ) : ?>
					<div class="site-title-wrap">
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						<?php
						$description = get_bloginfo( 'description', 'display' );
						if ( $description || is_customize_preview() ) : ?>
							<span class="site-description"><?php echo esc_html( $description ); ?></span>
						<?php endif; ?>
					</div>
				<?php endif; ?>

			</div><!-- .site-branding -->

			<button id="trigger-overlay" type="button">Menu</button>
			<div class="nav-sec overlay">
			    <button type="button" class="overlay-close">Close</button>
				<nav id="site-navigation" class="main-navigation" role="navigation">
					<?php
					wp_nav_menu( array(
						'theme_location' => 'primary',
						'menu_id'        => 'primary-menu',
						'menu_class'     => 'primary-menu',
					) );
					?>
				</nav><!-- #site-navigation -->
			</div>


		</div>
	</header><!-- #masthead -->

	<div id="content" class="site-content">
