<?php
/**
 * Template Name: Archives
 *
 * Cusotm archives page to display some custom widgets like recent posts,
 * search, categories, and tags.
 *
 * @package Mono
 */

get_header(); ?>

	<?php add_filter( 'subtitle_view_supported', '__return_true' ); ?>

	<section class="page-title">
		<div class="container">
			<h1 class="entry-title"><?php the_title(); ?></h1>
		</div>
	</section>

	<section class="blog-search">
		<div class="container">
			<?php get_search_form(); ?>
		</div>
	</section>

	<?php
	while ( have_posts() ) :
		the_post();
		?>
	<section class="entry-content">
		<div class="container">
			<div class="entry-content">
				<?php the_content(); ?>
			</div>
		</div>
	</section>
	<?php endwhile; ?>

	<section class="custom-archive-widgets">
		<div class="container">

			<div class="archive-widget custom-recent-posts">
				<h2 class="widget-title"><?php esc_attr_e( 'Latest Posts', 'mono' ); ?></h2>

				<?php

				rewind_posts();

				$q = new WP_Query(
					array(
						'post_type'           => 'post',
						'post_status'         => 'publish',
						'posts_per_page'      => '5',
						'ignore_sticky_posts' => true,
					)
				);

				if ( $q->have_posts() ) :
					echo '<ul class="custom-widget custom-post-list">';

					while ( $q->have_posts() ) :
						$q->the_post();
						?>
					<li>
						<h4 class="entry-title">
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
						</h4>
						<div class="post-meta">
							<?php mono_posted_on(); ?>
						</div>
					</li>
						<?php
					endwhile;

					echo '</ul>';
				endif;
				?>
			</div>

			<?php
				the_widget(
					'WP_Widget_Archives',
					'count=true',
					array(
						'before_widget' => '<div class="archive-widget custom-monthly-archives">',
						'after_widget'  => '</div>',
						'before_title'  => '<h2 class="widget-title">',
						'after_title'   => '</h2>',
					)
				);

				the_widget(
					'WP_Widget_Categories',
					'count=true',
					array(
						'before_widget' => '<div class="archive-widget custom-categories">',
						'after_widget'  => '</div>',
						'before_title'  => '<h2 class="widget-title">',
						'after_title'   => '</h2>',
					)
				);

				the_widget(
					'WP_Widget_Tag_Cloud',
					'count=true',
					array(
						'before_widget' => '<div class="archive-widget custom-tags">',
						'after_widget'  => '</div>',
						'before_title'  => '<h2 class="widget-title">',
						'after_title'   => '</h2>',
					)
				);
				?>

		</div>
	</section>

	<?php remove_all_filters( 'subtitle_view_supported' ); ?>

<?php get_footer(); ?>
