<?php
/**
 * @package Mono
 */

global $mono_settings;

$post_id = get_the_ID();
$thumbnail_image = get_the_post_thumbnail_url( $post_id, 'full' );

?>

<section class="post-cover<?php if ( ! has_post_thumbnail() ) echo ' no-post-thumbnail'; ?>">

	<?php if ( has_post_thumbnail() ) : ?>
	<style type="text/css">
	.post-<?php echo esc_attr( $post_id ) ?> .post-cover { background-image: url(<?php echo esc_url( $thumbnail_image ); ?>); }
	</style>
	<?php endif; ?>

	<div class="container">
		<div class="inner-container">
			<?php if ( is_single() ) : ?>
			<div class="post-meta">
				<?php if ( false === $mono_settings->get_value( 'hide-author-avatar' ) ) : ?>
				<div class="author-avatar">
					<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ?>">
						<?php echo get_avatar( get_the_author_meta( 'email' ), '105' ); ?>
					</a>
				</div>
				<?php endif; ?>

				<?php mono_posted_on(); ?>
			</div>
			<?php endif; ?>

			<h1 class="entry-title"><?php the_title(); ?></h1>
		</div>
	</div>
</section>
