<?php
/**
 * @package Mono
 */

$tag_list = get_the_tag_list( '', esc_html__( ', ', 'mono' ) );
$sharing = function_exists( 'sharing_display' );

// Bail, if no modules are visible.
if ( ! $tag_list && ! $sharing ) return;

$grid_class = ( ! $tag_list ) ? 'grid__col--2-of-2' : 'grid__col--1-of-2';

?>

<div class="secondary-post-meta">
	<div class="container">

		<div class="grid">
			<?php if ( $tag_list ) : ?>
				<div class="grid__col <?php echo esc_attr( $grid_class ); ?>">
					<?php
						printf(
							esc_html__( 'Tags: %1$s', 'mono' ),
							$tag_list
						);
					?>
				</div>
			<?php endif; ?>

			<?php if ( $sharing ) : ?>
				<div class="grid__col <?php echo esc_attr( $grid_class ); ?> share-post">
					<?php sharing_display( '', true ); ?>
				</div>
			<?php endif; ?>
		</div>

	</div>
</div>
